using System;
using System.ComponentModel.DataAnnotations;

namespace Entities.DTO
{
    public class UpdateSchoolDto
    {
        [Required(ErrorMessage = "学校ID是必填项。")]
        public Guid SchoolId { get; set; }

        [Required(ErrorMessage = "学校名称是必填项。")]
        [StringLength(50, ErrorMessage = "学校名称不能超过 50 个字符。")]
        public string SchoolName { get; set; }

        [StringLength(100, ErrorMessage = "地址不能超过 100 个字符。")]
        public string Address { get; set; }
    }
}
